Bug 1133142 - Wrong shadows on CSD windows when SNA is enabled
Summary: Wrong shadows on CSD windows when SNA is enabled
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel
Version: 21
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
Depends On:
Blocks: F21AlphaFreezeException
TreeView+ depends on / blocked
 
Reported: 2014-08-22 21:16 UTC by Diogo Campos
Modified: 2014-09-10 02:45 UTC (History)
8 users (show)

Fixed In Version: xorg-x11-drv-intel-2.99.914-3.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-10 02:45:27 UTC
Type: Bug


Attachments (Terms of Use)
SS (889.34 KB, image/png)
2014-08-22 21:16 UTC, Diogo Campos
no flags Details

Description Diogo Campos 2014-08-22 21:16:07 UTC
Created attachment 929825 [details]
SS

Description of problem:

See the SS. Seems to me that GTK3 windows have wrong shadows.


Version-Release number of selected component (if applicable):

3.13.7-1.fc21


How reproducible:

Always. But only with windows on GTK3, I think. (the Firefox window is correct, at least).


Steps to Reproduce:
1. Open a GTK3 app (like Files).
2.
3.

Actual results: Ugly shadow.


Expected results: Nice shadow.


Additional info: See the attachment.

Comment 1 Elad Alfassa 2014-08-27 13:41:08 UTC
I can confirm this is a problem, however it only happens when running with the intel driver with SNA enabled.

As such I'm moving this to xorg-x11-drv-intel. This is a recent thing which only started this month (I'm not sure about the exact date / version in which it started appearing).

It only affects GTK3 windows that have CSDs (client side decorations).

xorg-x11-drv-intel-2.99.914-2.fc21.x86_64
mesa-dri-drivers-10.3-0.rc1.20140824.fc21.x86_64

Comment 2 Fedora Update System 2014-09-03 17:10:23 UTC
xorg-x11-drv-intel-2.99.914-3.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/xorg-x11-drv-intel-2.99.914-3.fc21

Comment 3 Mike Ruckman 2014-09-03 17:25:25 UTC
Discussed in 2014-09-03 Blocker Review meeting. Voted as an Accepted Freeze Exception - we will accept a fix if done in time for release.

Comment 4 Fedora Update System 2014-09-10 02:45:27 UTC
xorg-x11-drv-intel-2.99.914-3.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.